#include <stdio.h>
#include <unistd.h>
#include <sys/time.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <fcntl.h>

#include <tproglib.h>

#include "../module-src/brum.h"

void help ()
{
  printf ("Usage: brum_on [args]\n");
  printf ("-a application\tuse application, default is %s\n", APP_BRUM);
  printf ("-d device\tuse USB device, default is %s\n", USBDEVICE);
  printf ("-h\t\thelp\n");
//  printf ("-m module\ttarget is BRUM number 1 or 2, default is 1\n");
  printf ("-v\t\tverbose\n");
  exit (-1);
}

int main (int argc, char **argv)
{
  int result;
  u8 *dev = USBDEVICE;
  u8 *app_name = APP_BRUM;
  u8 answer[2048];
  u8 param[2048];
  u16 answerLen;
  u16 paramLen;
  u32 i, j;
  int fdstdin;
  u8 buf[1024];
  int len;
  int bytes_read;
  int flags;
  u16 dbgChars;
  u16 txChars;
  u8 target = 1;

  do
  {
//    result = getopt (argc, argv, "hd:a:vm:");
    result = getopt (argc, argv, "hd:a:v");
    switch (result)
    {
      case 'a':
	app_name = optarg;
	break;
      case 'd':
	dev = optarg;
	break;
      case 'h':
	help ();
	break;
      case 'm':
	target = atoi (optarg);
	break;
      case 'v':
	verbose_inc ();
	break;
    }
  }
  while (result > 0);

  open_device (dev);
  if (select_app (app_name) != NO_ERROR)
  {
    close_device ();
    fprintf (stderr, "Cannot open application %s\n", app_name);
    exit (-1);
  }

  close_device ();
}
